Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.owsproxy
Class OperationParameter

    java.lang.Object
      org.deegree.security.owsproxy.OperationParameter

    public class OperationParameter

extends Object

Bean like class for encapsulating parameters of a owsProxy policy pre/post condition

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Constructor Summary
`OperationParameter(String name, boolean any)`
`OperationParameter(String name, List<String> values, List<Element> complexValues, boolean userCoupled)`

Method Summary
`void` | `addComplexValue(Element complexValue)`
`void` | `addValue(String value)`
`List<Element>` | `getComplexValues()`
`double` | `getFirstAsDouble()` returns the first value of the list as double.
`int` | `getFirstAsInt()` returns the first value of the list as integer.
`String` | `getFirstAsString()` returns the first value of the list as integer.
`String` | `getName()`
`List<String>` | `getValues()`
`boolean` | `isAny()`
`boolean` | `isUserCoupled()`
`void` | `removeValue(String value)`
`void` | `setAny(boolean any)`
`void` | `setComplexValues(List<Element> complexValues)`
`void` | `setName(String name)`
`void` | `setUserCoupled(boolean userCoupled)`
`void` | `setValues(List<String> values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationParameter

    public OperationParameter(String name,
                              List<String> values,
                              List<Element> complexValues,
                              boolean userCoupled)

Parameters:
  `name` -
  `values` -
  `complexValues` -
  `userCoupled` -

### OperationParameter

    public OperationParameter(String name,
                              boolean any)

Parameters:
  `name` -
  `any` -

Method Detail

### getName

    public String getName()

  Returns:
    Returns the name of a parameter

### setName

    public void setName(String name)

  Parameters:
    `name` - The name to set.

### getValues

    public List<String> getValues()

  Returns:
    all values

### getComplexValues

    public List<Element> getComplexValues()

  Returns:
    all values

### getFirstAsString

    public String getFirstAsString()

  returns the first value of the list as integer. This is useful for operation parameter that only allow one single string expression (e.g. BBOX)

  Returns:
    first value of a list as String

### getFirstAsInt

    public int getFirstAsInt()

  returns the first value of the list as integer. This is useful for operation parameter that only allow one single integer expression (e.g. maxHeight)

  Returns:
    first value of a list as integer

### getFirstAsDouble

    public double getFirstAsDouble()

  returns the first value of the list as double. This is useful for operation parameter that only allow one single double expression (e.g. resolution)

  Returns:
    first value of a list as double

### setValues

    public void setValues(List<String> values)

  Parameters:
    `values` -

### setComplexValues

    public void setComplexValues(List<Element> complexValues)

  Parameters:
    `complexValues` -

### addValue

    public void addValue(String value)

  Parameters:
    `value` -

### addComplexValue

    public void addComplexValue(Element complexValue)

  Parameters:
    `complexValue` -

### removeValue

    public void removeValue(String value)

  Parameters:
    `value` -

### isUserCoupled

    public boolean isUserCoupled()

  Returns:
    Returns the userCoupled.

### setUserCoupled

    public void setUserCoupled(boolean userCoupled)

  Parameters:
    `userCoupled` - The userCoupled to set.

### isAny

    public boolean isAny()

  Returns:
    Returns the all.

### setAny

    public void setAny(boolean any)

  Parameters:
    `any` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org